Ingest billable event
Ingest a new billable event. This endpoint is idempotent, an event with the same id will be updated if it already exists.
Documentation Index
Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Whether to simulate prices for the event. Will be received in webhooks.
true
Body
Event payload
Hyperline ID or external ID of the existing customer.
"cus_CrqwefTRWBWRT"
Type corresponding to the event. When creating a dynamic product, this type will be used to map the related events to specific prices.
1"api_call"
Payload of the event containing an ID and any additional metadata.
{
"id": "D32NAA8",
"durationInMs": 32,
"isVerified": true
}Response
Event ingested

